%define uname   Vulkan-Tools

Name:           vulkan-tools
Version:        1.2.162.0
Release:        %mkrel 1
Summary:        Vulkan utilities and tools
Group:          Development/Tools
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Tools
Source0:        https://github.com/KhronosGroup/Vulkan-Tools/archive/sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  glslang
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3

%description
This project provides Khronos official Vulkan Tools and Utilities for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-sdk-%{version}

%build
%cmake \
    -DGLSLANG_INSTALL_DIR=%{_bindir}
%cmake_build

%install
%cmake_install

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_bindir}/vkcube
%{_bindir}/vkcubepp
%{_bindir}/vulkaninfo


%changelog
* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.2.162.0-1.mga8
+ Revision: 1666099
- 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.2.154.0-1.mga8
+ Revision: 1633979
- SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.2.131.1-1.mga8
+ Revision: 1536930
- SDK 1.2.131.1

* Sat Feb 15 2020 umeabot <umeabot> 1.1.121.0-2.mga8
+ Revision: 1525524
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
+ akien <akien>
- SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.1.106.0-1.mga7
+ Revision: 1393161
- SDK 1.1.106.0

* Tue Mar 26 2019 akien <akien> 1.1.101.0-1.mga7
+ Revision: 1380454
- SDK 1.1.101.0

* Mon Dec 10 2018 akien <akien> 1.1.92.0-1.mga7
+ Revision: 1340063
- Adapt to Mageia, simplify
- Version 1.1.92.0
- import vulkan-tools from Fedora Rawhide


* Tue Aug 07 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 23 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial package
